# Order Management API Version: 1.0.0 ## Servers Default Server URL ``` https://api.kustom.co/ ``` ## Download OpenAPI description [Order Management API](https://docs.kustom.co/_bundle/contents/api/order-management.yaml) ## Orders ### Add shipping information - [POST /ordermanagement/v1/orders/{order_id}/shipping-info](https://docs.kustom.co/contents/api/order-management/orders/appendordershippinginfo.md): Add shipping info to an order. Read more on Adding shipping info ### Release an authorization - [POST /ordermanagement/v1/orders/{order_id}/release-remaining-authorization](https://docs.kustom.co/contents/api/order-management/orders/releaseremainingauthorization.md): Release remaining authorization. Read more on Releasing remaining authorization ### Extend the authorization time - [POST /ordermanagement/v1/orders/{order_id}/extend-authorization-time](https://docs.kustom.co/contents/api/order-management/orders/extendauthorizationtime.md): Extend authorization time. Read more on Extending order authorization time ### Cancel an order - [POST /ordermanagement/v1/orders/{order_id}/cancel](https://docs.kustom.co/contents/api/order-management/orders/cancelorder.md): Cancel order. Read more on Cancelling an order ### Acknowledge a Kustom checkout order - [POST /ordermanagement/v1/orders/{order_id}/acknowledge](https://docs.kustom.co/contents/api/order-management/orders/acknowledgeorder.md): Acknowledge order. Read more on Acknowledging orders ### Update merchant references - [PATCH /ordermanagement/v1/orders/{order_id}/merchant-references](https://docs.kustom.co/contents/api/order-management/orders/updatemerchantreferences.md): Update merchant references. Read more on Updating merchant references ### Update customer addresses - [PATCH /ordermanagement/v1/orders/{order_id}/customer-details](https://docs.kustom.co/contents/api/order-management/orders/updateconsumerdetails.md): Update shipping address. Read more on Updating customer addresses ### Update the order amount and order lines - [PATCH /ordermanagement/v1/orders/{order_id}/authorization](https://docs.kustom.co/contents/api/order-management/orders/updateauthorization.md): Set new order amount and order lines. Read more on Updating orders ### Get order details - [GET /ordermanagement/v1/orders/{order_id}](https://docs.kustom.co/contents/api/order-management/orders/getorder.md): An order that has the given order id. Read more on Retrieving order details ## Refunds ### Refund an order - [POST /ordermanagement/v1/orders/{order_id}/refunds](https://docs.kustom.co/contents/api/order-management/refunds/refundorder.md): Create a refund. Read more on Refunds ### Get refund details - [GET /ordermanagement/v1/orders/{order_id}/refunds/{refund_id}](https://docs.kustom.co/contents/api/order-management/refunds/getrefund.md): Get refund. ## Captures ### List all order captures - [GET /ordermanagement/v1/orders/{order_id}/captures](https://docs.kustom.co/contents/api/order-management/captures/getcaptures.md): List all order captures ### Capture an order - [POST /ordermanagement/v1/orders/{order_id}/captures](https://docs.kustom.co/contents/api/order-management/captures/captureorder.md): Create capture. Read more on Capturing an order ### Add shipping information - [POST /ordermanagement/v1/orders/{order_id}/captures/{capture_id}/shipping-info](https://docs.kustom.co/contents/api/order-management/captures/appendshippinginfo.md): Add shipping info to a capture. Read more on Adding shipping info ### Get capture details - [GET /ordermanagement/v1/orders/{order_id}/captures/{capture_id}](https://docs.kustom.co/contents/api/order-management/captures/getcapture.md): Retrieve the details of a capture. To learn more, refer to the Retrieving capture details article.